### Method

# GLib StaticRecMutex lock

deprecated: 2.32

#### Declaration

    void
    g_static_rec_mutex_lock (
      GStaticRecMutex* mutex
    )

#### Description

Locks `mutex`. If `mutex` is already locked by another thread, the current thread will block until `mutex` is unlocked by the other thread. If `mutex` is already locked by the calling thread, this functions increases the depth of `mutex` and returns immediately.

Deprecated since: 2.32

Use `g_rec_mutex_lock()`

This method is not directly available to language bindings.